.header {
    background-color: #8b4513;
    
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    
    width: 100%;
    max-width: 700px;
    margin: 0 auto;
}

.header a {
    padding: 0.2rem 1rem;
    text-decoration: none;
    color: #fdf1e3;
}

.main-body {
    background-color: #d9c4b0;

    padding: 1rem;
    
    box-sizing: border-box;
    width: 100%;
    max-width: 700px;
    margin: 0 auto;
}

body {
    background-color: #fff8f0;
    
    display: flex;
    flex-direction: column;

    font-family: 'DM Sans', sans-serif;
    color: #3b1a1a;
}

h1, h2, h3 {
    font-family: 'DM Serif Display', serif;
}

.cards-area {
    box-sizing: border-box;
    padding: 1rem 0rem;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
}

.recipe-box {
    background-color: white;

    box-sizing: border-box;
    padding: 0.5rem;
    width: calc(50% - 1rem);
}

.tag {
    padding: 0.2rem 0.5rem;
    background-color: #e8a87c;
}

.display-stars {
    font-size: 1.4rem;
}

.recipe-info {
    background-color: white;
    box-sizing: border-box;
    padding: 0.5rem;
}

.recipe-columns {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.ingredients {
    flex-basis: 0;
    flex-grow: 3;
}

.steps {
    flex-basis: 0;
    flex-grow: 5;
}

form label {
    font-weight: bold;
}

.rate-btn {
    font-size: 2rem;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    color: #c0622a;
}

.rate-btn.hovered {
    text-shadow: 0 0 5px #e8a87c, 0 0 10px #e8a87c, 0 0 15px #e8a87c, 0 0 20px #e8a87c, 0 0 25px #e8a87c, 0 0 30px #e8a87c;
}

.delete-rate-btn {
    font-size: 1rem;
}

form button {
    background-color: #e8a87c;
    color: #3b1a1a;
    font-family: 'DM Sans', sans-serif;
    border: #3b1a1a solid 2px;
}

a {
    color: #c0622a;
}

img {
    max-width: 100%;
}

@media (max-width: 600px) {
    .recipe-columns {
        flex-direction: column;
    }

    .cards-area {
        flex-direction: column;
    }

    .recipe-box {
        width: 100%;
    }
}